Events

Events Api

Get events by type (v3)

get
/rpc/v3/events/{event_type}

Get events by type.

Path parameters
event_typestringRequired

The fully qualified name of the event struct, i.e.: contract_address::module_name::event_struct_name. E.g. 0x1::coin::CoinDeposit

Query parameters
start_heightinteger · u-int64Optional

Starting block height (inclusive). Optional.

end_heightinteger · u-int64Optional

Ending block height (exclusive). Optional.

limitintegerOptional

Maximum number of events to return. Defaults to 20, max 100.

startstringOptional

The cursor to start the query from. Optional.

During a paginated query, the cursor returned in the X_SUPRA_CURSOR response header should be specified as the start parameter of the request for the next page.

Responses
chevron-right
200

List of Events contained in blocks

application/json
get
/rpc/v3/events/{event_type}

Last updated